Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de	

Name:		ggz-gtk-client
#Epoch:		0
Version:	0.0.14.1
Release:	1
License:	GNU/GPLv2	
URL:		http://www.ggzgamingzone.org/
Group:		Games/Other
Summary:	The official GGZ Gaming Zone client with GTK+ user interface.
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		http://ftp.belnet.be/packages/ggzgamingzone/ggz/0.0.14.1/%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: gnutls-devel
BuildRequires: libtasn1-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gettext-devel
BuildRequires: ggz-client-libs-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libggz-devel
BuildRequires: pango-devel
BuildRequires: zlib-devel

%description
The official GGZ Gaming Zone client with GTK+ user interface.


%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%{_prefix} \
--libdir=%{_libdir} \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/ggz-gtk
%{_libdir}/libggz-gtk.so.*
%{_applications}/ggz-gtk.desktop
%{_datadir}/ggz/ggz-gtk-client
%{_datadir}/ggz/help/ggz-gtk-*
%{_locale}/*/LC_MESSAGES/ggz-gtk.mo
%{_mandir}/man6/ggz-gtk.6.gz

%files devel
%defattr(-,root,root)
%{_includedir}/ggz-embed.h
%{_includedir}/ggz-gtk.h
%{_libdir}/libggz-gtk.a
%{_libdir}/libggz-gtk.la
%{_libdir}/libggz-gtk.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Feb 23 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.0.14.1-1
- initial CCux package release
